
// Auswertung des DCF77 Signals mit einem LCD 16x2 auf PortB
// Conrad DCF-Modul Pin4 auf AVR PD2
// ATmega8, 8MHz
// Optimierungsgrad: O2

#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdio.h>
#include "lcd.h"
#include "dcf77.h"


int main(void)
{

  // Initialisierung des LCD
  lcd_init();

  //Globale Interrupts einschalten
  sei();

  // Initialisierung des DCF77
  dcf77_init();

  
  while(1){

	lcd_setcursor(0,1);
	lcd_string("Time:");
	lcd_setcursor(6,1);
  	lcd_string(dcf77_zeit());

	lcd_setcursor(0,2);
	lcd_string("Date:");
	lcd_setcursor(6,2);
  	lcd_string(dcf77_datum());

  }
  return 0;
}


// --------- Time Overflow alle 0,008192s --------

ISR(TIMER0_OVF_vect){

	dcf77_TIMER();

}



